List All Category Groups

This endpoint returns a paged list of all the groups associated with the specified
category.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Groups are also commonly referred to as sets, though this varies by product.

{
  "totalItems": 0,
  "success": true,
  "errors": [
    "string"
  ],
  "results": [
    {
      "groupId": 0,
      "name": "string",
      "abbreviation": "string",
      "isSupplemental": true,
      "publishedOn": "string",
      "modifiedOn": "2017-11-21T00:47:27.120Z"
      "categoryId": 0
    }
  ]
}
/catalog/categories/1/groups?offset=37&limit=2

Headers:
Authorization | {{bearerToken}}

{
    "totalItems": 237,
    "success": true,
    "errors": [],
    "results": [
        {
            "groupId": 1882,
            "name": "Amonkhet",
            "abbreviation": "AKH",
            "isSupplemental": false,
            "publishedOn": "2017-04-28T00:00:00",
            "modifiedOn": "2019-03-04T16:29:17.31",
            "categoryId": 1
        },
        {
            "groupId": 1909,
            "name": "Masterpiece Series: Amonkhet Invocations",
            "abbreviation": "MPS2",
            "isSupplemental": true,
            "publishedOn": "2017-04-28T00:00:00",
            "modifiedOn": "2019-02-08T19:05:35.467",
            "categoryId": 1
        }
    ]
}
Path Params
int32
required

The Id of the category whose groups should be returned.

Query Params
int32

Used for paging. The number of groups to skip. Default is 0.

int32

Used for paging. The maximum number of groups to return. Default is 10.

Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

400

CategoryId is less than or equal to 0.

404

Category could not be found or no groups found.

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
text/json